from django.urls import path, include
from rest_framework import routers

from apps.exam.views import QuestionViewSet, QuestioncatViewSet, PaperViewSet, ExamViewSet, ExamRecordViewSet

API_BASE_URL = 'api/exam/'
HTML_BASE_URL = 'exam/'
router = routers.DefaultRouter()
router.register('questioncat', QuestioncatViewSet, basename='questioncat')
router.register('question', QuestionViewSet, basename="question")
router.register('paper', PaperViewSet, basename="paper")
router.register('exam', ExamViewSet, basename="exam")
router.register('examrecord', ExamRecordViewSet, basename="examrecord")
urlpatterns = [
    path(API_BASE_URL, include(router.urls))
]
